<div class="container">
    <div class="row filter-container mx-auto">
        <div class="col-lg-12 col-md-12 col-sm-12 col-12 ">
            <i class="fa fa-bullseye" style="font-size:30px;color:rgb(18, 185, 101)" aria-hidden="true"> Filter</i>
        </div>
    </div>
    <div class="row filter-container mx-auto">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <form method="post" action="">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="start_date" class="form-control-label">Start Date</label>
                                    <input type="date" class="form-control" name="start_date" required />
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="end_date" class="form-control-label">End Date</label>
                                    <input type="date" class="form-control" name="end_date" required />
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="custom" class="form-control-label">Select Custom</label>
                                    <select name="custom" class="form-control" id="cars">
                                        <option value="">Custom</option>
                                        <option value="saab">Saab</option>
                                        <option value="mercedes">Mercedes</option>
                                        <option value="audi">Audi</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<br>
<div class="container">
    <div class="row m-0 p-0">
        <div class="col-lg-3 col-md-6 col-12 card-container">
            <a [routerLink]="'/data-details'">

                <div class="card-body text-center  shadow ">
                    <span class="card-title upper">Live Conversation Count </span>
                    <br>
                    <span class="card-value upper">34.5K</span>
                    <div class="card-graph" style="display: block;">
                        <canvas baseChart [datasets]="first_graph" [labels]="lineChartLabels"
                            [options]="lineChartOptions" [legend]="lineChartLegend" [chartType]="lineChartType">
                        </canvas>
                    </div>
                </div>
            </a>
        </div>
        <div class="col-lg-3 col-md-6 col-12 card-container">
            <a [routerLink]="'/data-details'">

                <div class="card-body text-center shadow  ">
                    <span class="card-title upper">Total Messages</span>
                    <br>
                    <span class="card-value upper">26.5K</span>
                    <div class="card-graph" style="display: block;">
                        <canvas baseChart [datasets]="second_graph" [labels]="lineChartLabels"
                            [options]="lineChartOptions" [plugins]="lineChartPlugins" [legend]="lineChartLegend"
                            [chartType]="lineChartType">
                        </canvas>
                    </div>
                </div>
            </a>
        </div>
        <div class="col-lg-3 col-md-6 col-12 card-container">
            <a [routerLink]="'/data-details'">

                <div class="card-body text-center  shadow ">
                    <span class="card-title upper">Total Sent Messages</span>
                    <br>
                    <span class="card-value upper">32.5K</span>
                    <div class="card-graph" style="display: block;">
                        <canvas baseChart [datasets]="third_graph" [labels]="lineChartLabels"
                            [options]="lineChartOptions" [plugins]="lineChartPlugins" [legend]="lineChartLegend"
                            [chartType]="lineChartType">
                        </canvas>
                    </div>
                </div>
            </a>
        </div>
        <div class="col-lg-3 col-md-6 col-12 card-container">
            <a [routerLink]="'/data-details'">

                <div class="card-body text-center  shadow">
                    <span class="card-title upper">Total Received Messages</span>
                    <br>
                    <span class="card-value upper">31.5K</span>
                    <div class="card-graph" style="display: block;">
                        <canvas baseChart [datasets]="forth_graph" [labels]="lineChartLabels"
                            [options]="lineChartOptions" [plugins]="lineChartPlugins" [legend]="lineChartLegend"
                            [chartType]="lineChartType">
                        </canvas>
                    </div>
                </div>
            </a>
        </div>
    </div>
    <div class="row m-0 p-0">
        <div class="col-lg-3 col-md-6 col-12 card-container">
            <a [routerLink]="'/data-details'">

                <div class="card-body text-center  shadow ">
                    <span class="card-title upper">Total Conversations</span>
                    <br>
                    <span class="card-value upper">13.5K</span>
                    <div class="card-graph" style="display: block;">
                        <canvas baseChart [datasets]="fifth_graph" [labels]="lineChartLabels"
                            [options]="lineChartOptions" [plugins]="lineChartPlugins" [legend]="lineChartLegend"
                            [chartType]="lineChartType">
                        </canvas>
                    </div>
                </div>
            </a>
        </div>
        <div class="col-lg-3 col-md-6 col-12 card-container">
            <a [routerLink]="'/data-details'">

                <div class="card-body text-center shadow  ">
                    <span class="card-title upper">Average Session Length</span>
                    <br>
                    <span class="card-value upper">21.5K</span>
                    <div class="card-graph" style="display: block;">
                        <canvas baseChart [datasets]="sixth_graph" [labels]="lineChartLabels"
                            [options]="lineChartOptions" [plugins]="lineChartPlugins" [legend]="lineChartLegend"
                            [chartType]="lineChartType">
                        </canvas>
                    </div>
                </div>
            </a>
        </div>
        <div class="col-lg-3 col-md-6 col-12 card-container">
            <a [routerLink]="'/data-details'">

                <div class="card-body text-center  shadow ">
                    <span class="card-title upper">Avg. conv steps/user</span>
                    <br>
                    <span class="card-value upper">23.5K</span>
                    <div class="card-graph" style="display: block;">
                        <canvas baseChart [datasets]="seventh_graph" [labels]="lineChartLabels"
                            [options]="lineChartOptions" [plugins]="lineChartPlugins" [legend]="lineChartLegend"
                            [chartType]="lineChartType">
                        </canvas>
                    </div>
                </div>
            </a>
        </div>
        <div class="col-lg-3 col-md-6 col-12 card-container">
            <a [routerLink]="'/data-details'">

                <div class="card-body text-center  shadow">
                    <span class="card-title upper">Avg. Steps/User</span>
                    <br>
                    <span class="card-value upper">29.5K</span>
                    <div class="card-graph" style="display: block;">
                        <canvas baseChart [datasets]="eighth_graph" [labels]="lineChartLabels"
                            [options]="lineChartOptions" [plugins]="lineChartPlugins" [legend]="lineChartLegend"
                            [chartType]="lineChartType">
                        </canvas>
                    </div>
                </div>
            </a>
        </div>
    </div>
    <div class="row m-0 p-0">
        <div class="col-lg-3 col-md-6 col-12 card-container">
            <a [routerLink]="'/data-details'">

                <div class="card-body text-center  shadow ">
                    <span class="card-title upper">Active Users</span>
                    <br>
                    <span class="card-value upper">30.5K</span>
                    <div class="card-graph" style="display: block;">
                        <canvas baseChart [datasets]="ninth_graph" [labels]="lineChartLabels"
                            [options]="lineChartOptions" [plugins]="lineChartPlugins" [legend]="lineChartLegend"
                            [chartType]="lineChartType">
                        </canvas>
                    </div>
                </div>
            </a>
        </div>
        <div class="col-lg-3 col-md-6 col-12 card-container">
            <a [routerLink]="'/data-details'">

                <div class="card-body text-center shadow  ">
                    <span class="card-title upper">New Users</span>
                    <br>
                    <span class="card-value upper">41.5K</span>
                    <div class="card-graph" style="display: block;">
                        <canvas baseChart [datasets]="tenth_graph" [labels]="lineChartLabels"
                            [options]="lineChartOptions" [plugins]="lineChartPlugins" [legend]="lineChartLegend"
                            [chartType]="lineChartType">
                        </canvas>
                    </div>
                </div>
            </a>
        </div>
        <div class="col-lg-3 col-md-6 col-12 card-container">
            <a [routerLink]="'/data-details'">

                <div class="card-body text-center  shadow ">
                    <span class="card-title upper">Returning Users</span>
                    <br>
                    <span class="card-value upper">28.5K</span>
                    <div class="card-graph" style="display: block;">
                        <canvas baseChart [datasets]="eleventh_graph" [labels]="lineChartLabels"
                            [options]="lineChartOptions" [plugins]="lineChartPlugins" [legend]="lineChartLegend"
                            [chartType]="lineChartType">
                        </canvas>
                    </div>
                </div>
            </a>
        </div>
        <div class="col-lg-3 col-md-6 col-12 card-container">
            <a [routerLink]="'/data-details'">

                <div class="card-body text-center  shadow">
                    <div class="card-stats">
                        <br>
                        <br>
                        <span class="stats-value upper"><i class="fa fa-pie-chart"
                                style="font-size:48px;color:rgb(48, 43, 43)"></i></span>
                        <br>
                        <span class="stats-title upper"> Add Stats</span>
                    </div>
                </div>
            </a>
        </div>



    </div>

    <!-- <div class="row row-centered pos">
        <div class="col card shadow col-centered">
            <a [routerLink]="'/data-details'">
                <img src="..." class="card-img-top" alt="...">
                <div class="card-body">

                </div>
            </a>
        </div>
        <div class="col card shadow col-centered">
            <a [routerLink]="'/data-details'">
                <img src="..." class="card-img-top" alt="...">
                <div class="card-body">


                </div>
            </a>
        </div>
        <div class="col card shadow col-centered">
            <a [routerLink]="'/data-details'">
                <img src="..." class="card-img-top" alt="...">
                <div class="card-body">


                </div>
            </a>
        </div>
        <div class="col card shadow col-centered">
            <a [routerLink]="'/data-details'">
                <img src="..." class="card-img-top" alt="...">
                <div class="card-body">


                </div>
            </a>
        </div>
    </div>
    <div class="row row-centered pos">
        <div class="col card shadow col-centered">
            <a [routerLink]="'/data-details'">
                <img src="..." class="card-img-top" alt="...">
                <div class="card-body">

                </div>
            </a>
        </div>
        <div class="col card shadow col-centered">
            <a [routerLink]="'/data-details'">
                <img src="..." class="card-img-top" alt="...">
                <div class="card-body">


                </div>
            </a>
        </div>
        <div class="col card shadow col-centered">
            <a [routerLink]="'/data-details'">
                <img src="..." class="card-img-top" alt="...">
                <div class="card-body">


                </div>
            </a>
        </div>
        <div class="col card shadow col-centered">
            <a [routerLink]="'/data-details'">
                <img src="..." class="card-img-top" alt="...">
                <div class="card-body">


                </div>
            </a>
        </div>
    </div> -->

</div>

<div class="container">
    <div class="row table-container mx-auto">
        <div class="col-lg-6 col-md-6 col-sm-12 col-12 shadow">
            <i class="fa fa-heart-o" style="font-size:30px;color:rgb(18, 185, 101)" aria-hidden="true">
            </i><span class="card-title upper">Most Common Intents </span>
            <br>
            <br>
            <table>
                <tbody>
                    <tr>
                        <td>payment</td>
                        <td>58.4%</td>
                    </tr>
                    <tr>
                        <td>get_a_loan</td>
                        <td>15%</td>
                    </tr>
                    <tr>
                        <td>consumer_loans</td>
                        <td>5%</td>
                    </tr>
                    <tr>
                        <td>mortgage</td>
                        <td>5%</td>
                    </tr>
                    <tr>
                        <td>help</td>
                        <td>4.5%</td>
                    </tr>
                    <tr>
                        <td>support</td>
                        <td>4%</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="col-lg-6 col-md-6 col-sm-12 col-12 shadow">
            <i class="fa fa-clock-o" style="font-size:30px;color:rgb(18, 185, 101)" aria-hidden="true">
            </i><span class="card-title upper">Most Active Hours</span>
            <br>
            <br>
            <table>
                <tbody>
                    <tr>
                        <td>12:00pm-14:30pm</td>
                        <td>3,929 messages</td>
                    </tr>
                    <tr>
                        <td>18:pm-19:10pm</td>
                        <td>1,143 messages</td>
                    </tr>
                    <tr>
                        <td>10:00am-11:10am</td>
                        <td>938 messages</td>
                    </tr>
                    <tr>
                        <td>10:00am-11:10am</td>
                        <td>938 messages</td>
                    </tr>
                    <tr>
                        <td>10:00am-11:10am</td>
                        <td>938 messages</td>
                    </tr>
                    <tr>
                        <td>10:00am-11:10am</td>
                        <td>938 messages</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    <br>
</div>